From c2c395b6d363d1854a86ae81b95384bbacb64354 Mon Sep 17 00:00:00 2001
From: Jeff Rizzo <riz@tastylime.net>
Date: Sun, 7 Feb 2016 19:39:46 -0800
Subject: [PATCH 18/18] Debugging printfs;  commit them mostly to save for
 later.

---
 sys/dev/ic/rt2860.c | 11 +++++++++++
 sys/net/if.c        |  6 +++++-
 2 files changed, 16 insertions(+), 1 deletion(-)

diff --git a/sys/dev/ic/rt2860.c b/sys/dev/ic/rt2860.c
index 96fecbc..5efdd11 100644
--- a/sys/dev/ic/rt2860.c
+++ b/sys/dev/ic/rt2860.c
@@ -1860,17 +1860,28 @@ rt2860_ioctl(struct ifnet *ifp, u_long cmd, void *data)
 	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	s = splnet();
 
+	aprint_normal_dev(sc->sc_dev, "past debugger1 in %s\n", __FUNCTION__);
+	Debugger();
+	
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		if ((error = ifioctl_common(ifp, cmd, data)) != 0)
 			break;
+		aprint_normal_dev(sc->sc_dev, "entering switch in %s", __FUNCTION__);
+		Debugger();
 		switch (ifp->if_flags & (IFF_UP|IFF_RUNNING)) {
 		case IFF_UP|IFF_RUNNING:
+		  aprint_normal_dev(sc->sc_dev, "no flags in %s", __FUNCTION__);
+		Debugger();
 			break;
 		case IFF_UP:
+		  aprint_normal_dev(sc->sc_dev, "about to _init in %s", __FUNCTION__);
+		Debugger();
 			rt2860_init(ifp);
 			break;
 		case IFF_RUNNING:
+		  aprint_normal_dev(sc->sc_dev, "about to _stop in %s", __FUNCTION__);
+		Debugger();
 			rt2860_stop(ifp, 1);
 			break;
 		case 0:
diff --git a/sys/net/if.c b/sys/net/if.c
index 39c05a3..f139880 100644
--- a/sys/net/if.c
+++ b/sys/net/if.c
@@ -1554,7 +1554,7 @@ if_up(struct ifnet *ifp)
 	struct ifaddr *ifa;
 #endif
 	struct domain *dp;
-
+printf("in if_up %s\n", ifp->if_xname);
 	ifp->if_flags |= IFF_UP;
 	nanotime(&ifp->if_lastchange);
 #ifdef notyet
@@ -1689,6 +1689,7 @@ ifioctl_common(struct ifnet *ifp, u_long cmd, void *data)
 	struct ifcapreq *ifcr;
 	struct ifdatareq *ifdr;
 
+printf("in ifioctl_common() for %s\n", ifp->if_xname);
 	switch (cmd) {
 	case SIOCSIFCAP:
 		ifcr = data;
@@ -1741,14 +1742,17 @@ ifioctl_common(struct ifnet *ifp, u_long cmd, void *data)
 			return ENETRESET;
 		return 0;
 	case SIOCSIFFLAGS:
+printf("in ifioctl_common() SIOCSIFFLAGS\n");
 		ifr = data;
 		if (ifp->if_flags & IFF_UP && (ifr->ifr_flags & IFF_UP) == 0) {
 			s = splnet();
+printf("in ifioctl_common() calling if_down\n");
 			if_down(ifp);
 			splx(s);
 		}
 		if (ifr->ifr_flags & IFF_UP && (ifp->if_flags & IFF_UP) == 0) {
 			s = splnet();
+printf("in ifioctl_common() calling if_up\n");
 			if_up(ifp);
 			splx(s);
 		}
-- 
2.5.2

